Subject: Re: Cannot build 21.4.16 under cygwin (gcc 3.3.3)
From: [email-masked] (Henry S. Thompson)
To: Vin Shelton <[email-masked]>
Cc: [email-masked], xemacs-beta <[email-masked]>
Date: Sun, 09 Jan 2005 15:28:11 +0000

Vin Shelton writes:

> [email-masked] (Henry S. Thompson) writes:
>
>>
>> But of course then I'm stuck with other code that won't run because of
>> the two-different-bases problem.
>>
>> Anyway, thanks _very_ much for your help, it sounds like the xemacs
>> folks are really where this needs to be solved.  Point is, this is a
>> regression -- xemacs-21.4.15 works OK (mind you, I haven't tried
>> recompiling it with gcc-3.3.3).
>
> Henry,
>
> AFAIK, we didn't make any changes in 21.4.16 that would account for
> this.  As an experiment, can you try to build 21.4.15 with gcc-3.3.3?
> I would be surprised if that worked.

OK, victory at last.  It _is_ a rebase problem, but not with xemacs as
such, rather GTK.  The clue was that 2.4.15 _did_ rebuild OK when all
I did was 'make clean && make', so I looked at the differences between
the two src directories with a microscope, and noticed that 2.4.16 was
using libtiff3.dll and jpeg62.dll from GTK and (because I had built it
before I installed GTK) 2.4.15 was not.

Now I had rebased those two by hand (because for reasons I can't now
figure out rebaseall didn't do them -- pbly because I installed GTK
'by hand' as it were, not via the package mechanism), but I had _not_
checked _their_ dependencies, and sure enough:

  1) libtiff3 uses GTK's zlib1.dll
  2) rebasing zlib1.dll solves the problem.

Phew!

So let's hope this thread will help anyone with the same problem. 

Thanks again for patient suggestions which eventually led to the
solution.

ht
-- 
 Henry S. Thompson, HCRC Language Technology Group, University of Edinburgh
                     Half-time member of W3C Team
    2 Buccleuch Place, Edinburgh EH8 9LW, SCOTLAND -- (44) 131 650-4440
            Fax: (44) 131 650-4587, e-mail: [email-masked]
                   URL: http://www.ltg.ed.ac.uk/~ht/
[mail really from me _always_ has this .sig -- mail without it is forged spam]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/